Bug 1316230 - Dependency on pygobject3 missing
Dependency on pygobject3 missing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hamster-time-tracker (Show other bugs)
23
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 12:50 EST by Aleksandar Dimitrov
Modified: 2016-04-02 16:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: hamster-time-tracker-2.0-0.7.rc1.fc23 hamster-time-tracker-2.0-0.7.rc1.fc24 hamster-time-tracker-2.0-0.8.rc1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 14:10:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandar Dimitrov 2016-03-09 12:50:36 EST
Description of problem:
Installation of hamster-time-tracker on my F23 system didn't work due to a missing dependency on python-gi-cairo, which is provided by python-gobject-3.18.2-1.fc23.x86_64

Version-Release number of selected component (if applicable):
0.3.rc1.fc23

How reproducible:
Always, I'd presume.

Steps to Reproduce:
1. run: dnf install hamster-time-tracker 
2. run: hamster

Actual results:

/usr/lib/python2.7/site-packages/hamster/lib/configuration.py:33: PyGIWarning: GConf was imported without specifying a version first. Use gi.require_version('GConf', '2.0') before import to ensure that the right version gets loaded.
  from gi.repository import GConf as gconf
Traceback (most recent call last):
  File "/usr/bin/hamster", line 387, in <module>
    hamster_client.overview()
  File "/usr/bin/hamster", line 152, in overview
    self._launch_window("overview")
  File "/usr/bin/hamster", line 143, in _launch_window
    getattr(server, window_name)()
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib64/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.KeyError: Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/bin/hamster-windows-service", line 38, in overview
    def overview(self): dialogs.overview.show(self.app)
  File "/usr/lib/python2.7/site-packages/hamster/lib/configuration.py", line 149, in show
    dialog = self.get_dialog_class()(parent, **kwargs)
  File "/usr/lib/python2.7/site-packages/hamster/overview.py", line 394, in __init__
    self.fact_tree = FactTree()
  File "/usr/lib/python2.7/site-packages/hamster/widgets/facttree.py", line 219, in __init__
    self.date_label = Label(10, 3)
  File "/usr/lib/python2.7/site-packages/hamster/widgets/facttree.py", line 59, in __init__
    self.layout = pangocairo.create_layout(self._label_context)
KeyError: 'could not find foreign type Context'

Expected results: It just works.


Additional info:
Installing python-gobject-3.18.2-1.fc23.x86_64.rpm fixes the problem. The hamster-time-tracker rpm should probably depend on this.
Comment 1 Fedora Update System 2016-03-12 13:48:38 EST
hamster-time-tracker-2.0-0.7.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8d09c09ea
Comment 2 Fedora Update System 2016-03-12 13:48:54 EST
hamster-time-tracker-2.0-0.7.rc1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-211cb25c0d
Comment 3 Fedora Update System 2016-03-12 13:50:14 EST
hamster-time-tracker-2.0-0.7.rc1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b469d9a2d
Comment 4 Fedora Update System 2016-03-13 21:20:18 EDT
hamster-time-tracker-2.0-0.7.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8d09c09ea
Comment 5 Fedora Update System 2016-03-15 14:50:16 EDT
hamster-time-tracker-2.0-0.7.rc1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1b469d9a2d
Comment 6 Fedora Update System 2016-03-15 15:22:22 EDT
hamster-time-tracker-2.0-0.7.rc1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-211cb25c0d
Comment 7 Fedora Update System 2016-03-21 15:55:17 EDT
hamster-time-tracker-2.0-0.8.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-27b68e1fe5
Comment 8 Fedora Update System 2016-03-22 17:26:26 EDT
hamster-time-tracker-2.0-0.8.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-27b68e1fe5
Comment 9 Fedora Update System 2016-03-22 17:40:41 EDT
hamster-time-tracker-2.0-0.7.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8d09c09ea
Comment 10 Fedora Update System 2016-03-23 18:27:33 EDT
hamster-time-tracker-2.0-0.7.rc1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-03-25 09:30:44 EDT
hamster-time-tracker-2.0-0.8.rc1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-27b68e1fe5
Comment 12 Fedora Update System 2016-03-25 19:48:41 EDT
hamster-time-tracker-2.0-0.8.rc1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-27b68e1fe5
Comment 13 Fedora Update System 2016-03-26 14:10:44 EDT
hamster-time-tracker-2.0-0.7.rc1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-04-02 16:18:52 EDT
hamster-time-tracker-2.0-0.8.rc1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.